# Fediverse Stats
This code gets all peers from Mastodon server host and then all peers from host server's peers. Goal is to collect maximum number of alive fediverse's servers and then query the nodeinfo endpoint of all of them to obtain their registered users and MAU (if their nodeinfo is providing such information).
At the end it post the results to host server bot account.

### Dependencies

-   **Python 3**
-   Postgresql server
-   Mastodon running server.

### Usage:

Within Python Virtual Environment:

1. Run `pip install -r requirements.txt` to install needed libraries.

2. Run `python fetchpeers.py`. First run will setup everything up and after that it will get maximum peers possible from Mastodon host peers list and beyond.

3. Run `python fediverse.py` to check an get all information from all peers nodeinfo endpoints. At the end it will publish the results to the configured Mastodon account.

8. Use your favourite scheduling method to set `python fetchpeers.py` to run at least once a day and `python fediverse.py` to run at desired pace to publish the results.   

